Bug 142972 - Memory leak in the XML::Parser perl module.
Memory leak in the XML::Parser perl module.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl-XML-Parser (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
http://search.cpan.org/src/MSERGEANT/...
:
Depends On:
Blocks: 187539
  Show dependency treegraph
 
Reported: 2004-12-15 10:26 EST by Jason Smith
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 15:14:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Smith 2004-12-15 10:26:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
There is a known memory leak in the version of perl's XML::Parser
module that is shipped with RHEL3, see the changelog for the current
version:

http://search.cpan.org/src/MSERGEANT/XML-Parser-2.34/Changes

I can verify that this memory leak is real.  I have a long script that
I am running as a daemon which uses the XML::Parser module.  After
only a few days of running it doubles in memory, so I was forced to
use a cronjob to constantly restart it.  Then I checked if there was a
newer version on CPAN and replaced the RHEL3 version with the latest
version I downloaded there.  The current version from CPAN completely
eliminated my memory leak problem.


Version-Release number of selected component (if applicable):
perl-XML-Parser-2.31-15

How reproducible:
Always

Steps to Reproduce:
1. Long running daemon script that is constantly parsing xml data.

Actual Results:  The perl process memory footprint doubles after
several days.

Expected Results:  The memory footprint should stabilize after some time.

Additional info:

This is a known memory leak that was fixed over a year ago in CPAN.
Comment 3 Jason Vas Dias 2006-01-12 18:41:17 EST
This is now fixed with perl-XML-Parser-2.31-16.EL3 - memory leak fix backported
from 2.34 .
Comment 11 Red Hat Bugzilla 2006-05-03 15:14:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0300.html

Note You need to log in before you can comment on or make changes to this bug.